# makefile for solaris
#
# gcc + LTXML library
#
X=	/users/mark/xml/bin
LTXML=	/pdata/mark/ltxml-1.1
SFS=	/users/mark/sfs
#
CC=	gcc
CFLAGS=	-g -Wall -I$(LTXML)/include -DSVR4 -DFOR_LT -DCHAR_SIZE=8
SFLAGS= -I$(SFS)/include
#
LIBS=	-L$(LTXML)/lib -lltapi11 -lltstd11 -lsocket -lnsl
SLIBS=	-L$(SFS)/lib -ldsp -lsfs -lm
GLIBS=	-L$(SFS)/lib -ldigit -ldig -ldsp -lsfs -L/usr/openwin/lib -lX11 -lm
#
any:
	echo "choose:"
	echo "make utt - make utterance tools"
	echo "make sfs - make SFS tools"
	echo "make all - make all tools"
#
utt:	$X/lexparse $X/uttmake $X/uttclass $X/uttcomp \
	$X/uttfind $X/uttanal $X/utt2lab $X/uttdict $X/phnparse \
	$X/uttdict2 $X/uttcomp2
sfs:	$X/uttalign $X/uttfx $X/uttfxds $X/uttfxdat $X/uttmbrol \
	$X/uttfestival
all:	utt sfs
#
.c.o:
	$(CC) -c $(CFLAGS) $*.c
#
$X/lexparse:	lexparse.c samparse.o error.o segment.h sylonoff.h 
	$(CC) $(CFLAGS) lexparse.c samparse.o error.o $(LIBS) -o $X/lexparse 2> lexparse.cer
	cp lexparse.dtd $X
$X/phnparse:	phnparse.c error.o segment.h sylonoff.h 
	$(CC) $(CFLAGS) phnparse.c error.o $(LIBS) -o $X/phnparse 2> phnparse.cer
	cp phnparse.dtd $X
$X/pretty:	pretty.c
	$(CC) $(CFLAGS) pretty.c $(LIBS) -o $X/pretty 2> pretty.cer
$X/uttmake:	uttmake.c error.o 
	$(CC) $(CFLAGS) uttmake.c error.o $(LIBS) -o $X/uttmake 2> uttmake.cer
	cp uttmake.dtd $X
$X/uttclass:	uttclass.c error.o 
	$(CC) $(CFLAGS) uttclass.c error.o $(LIBS) -o $X/uttclass 2> uttclass.cer
	cp uttclass.dtd $X
$X/uttcomp:	uttcomp.c error.o 
	$(CC) $(CFLAGS) uttcomp.c error.o $(LIBS) -o $X/uttcomp 2> uttcomp.cer
	cp uttcomp.dtd $X
$X/uttcomp2:	uttcomp2.c samparse.o error.o 
	$(CC) $(CFLAGS) uttcomp2.c samparse.o error.o $(LIBS) -o $X/uttcomp2 2> uttcomp2.cer
	cp uttcomp2.dtd $X
$X/uttalign:	uttalign.c segment.h
	$(CC) $(CFLAGS) $(SFLAGS) uttalign.c $(LIBS) $(SLIBS) -o $X/uttalign 2> uttalign.cer
	cp uttalign.dtd $X
$X/uttfind:	uttfind.c error.o 
	$(CC) $(CFLAGS) uttfind.c error.o $(LIBS) -o $X/uttfind 2> uttfind.cer
$X/uttanal:	uttanal.c error.o 
	$(CC) $(CFLAGS) uttanal.c error.o $(LIBS) -o $X/uttanal 2> uttanal.cer
$X/utt2lab:	utt2lab.c error.o 
	$(CC) $(CFLAGS) utt2lab.c error.o $(LIBS) -o $X/utt2lab 2> utt2lab.cer
$X/uttfx:	uttfx.c
	$(CC) $(CFLAGS) $(SFLAGS) uttfx.c $(LIBS) $(SLIBS) -o $X/uttfx 2> uttfx.cer
	cp uttfx.dtd $X
$X/uttfxds:	uttfxds.c
	$(CC) $(CFLAGS) $(SFLAGS) uttfxds.c $(LIBS) $(GLIBS) -o $X/uttfxds 2> uttfxds.cer
$X/uttfxdat:	uttfxdat.c
	$(CC) $(CFLAGS) $(SFLAGS) uttfxdat.c $(LIBS) $(SLIBS) -o $X/uttfxdat 2> uttfxdat.cer
$X/uttmbrol:	uttmbrol.c error.o
	$(CC) $(CFLAGS) $(SFLAGS) uttmbrol.c error.o $(LIBS) $(SLIBS) -o $X/uttmbrol 2> uttmbrol.cer
$X/uttfestival:	uttfestival.c error.o
	$(CC) $(CFLAGS) $(SFLAGS) uttfestival.c error.o $(LIBS) $(SLIBS) -o $X/uttfestival 2> uttfestival.cer
$X/uttdict:	uttdict.c samparse.c error.o /pdata/mark/prosynth/lookup.o segment.h sylonoff.h
	$(CC) $(CFLAGS) $(SFLAGS) uttdict.c samparse.c error.o /pdata/mark/prosynth/lookup.o $(LIBS) $(SLIBS) -o $X/uttdict 2> uttdict.cer
$X/uttdict2:	uttdict2.c error.o /pdata/mark/prosynth/lookup.o segment.h sylonoff.h
	$(CC) $(CFLAGS) $(SFLAGS) uttdict2.c samparse.c error.o /pdata/mark/prosynth/lookup.o $(LIBS) $(SLIBS) -o $X/uttdict2 2> uttdict2.cer

