/* mbrola.h -- segment descriptions for MBROLA English diphone set */

struct mbrola_segment_rec {
	char	*sym;
	int	heavy;	/* 1=heavy nucleus, 2=split symbol */
	char	*elem;
	char	*elem2;
};

static struct mbrola_segment_rec mbrola_segtab[]={
{ "3:",	1, "<VOC GRV='Y' HEIGHT='MID' RND='N'>3</VOC>", "<VOC GRV='Y' HEIGHT='MID' RND='N'>3</VOC>" },
{ "@",	0, "<VOC GRV='Y' HEIGHT='MID' RND='N'>@</VOC>", "<VOC GRV='Y' HEIGHT='MID' RND='N'>@</VOC>" },
{ "@U",	1, "<VOC GRV='Y' HEIGHT='MID'>@</VOC>", "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>U</VOC>" },
{ "A:",	1, "<VOC GRV='Y' HEIGHT='OPEN' RND='N'>A</VOC>", "<VOC GRV='Y' HEIGHT='MID' RND='N'>A</VOC>" },
{ "D",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='N' CNSCMP='N'>D</CNS>", "" },
{ "I",	0, "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>I</VOC>", "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>I</VOC>" },
{ "I@",	1, "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>I</VOC>", "<VOC HEIGHT='MID' RND='N'>@</VOC>" },
{ "N",	0, "<CNS CNT='N' VOI='Y' NAS='Y' STR='N' SON='Y' RHO='N' CNSGRV='Y' CNSCMP='Y'>N</CNS>", "" },
{ "O:",	1, "<VOC GRV='Y' HEIGHT='MID' RND='Y'>O</VOC>", "<VOC GRV='Y' HEIGHT='MID' RND='Y'>O</VOC>" },
{ "OI",	1, "<VOC GRV='Y' HEIGHT='MID' RND='Y'>O</VOC>", "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>I</VOC>" },
{ "Q",	0, "<VOC GRV='Y' HEIGHT='MID' RND='Y'>Q</VOC>", "<VOC GRV='Y' HEIGHT='MID' RND='Y'>Q</VOC>" },
{ "S",	0, "<CNS CNT='Y' VOI='N' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='N' CNSCMP='Y'>S</CNS>", "" },
{ "T",	0, "<CNS CNT='Y' VOI='N' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='N' CNSCMP='N'>T</CNS>", "" },
{ "U",	0, "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>U</VOC>", "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>U</VOC>" },
{ "U@",	1, "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>U</VOC>", "<VOC HEIGHT='MID' RND='N'>@</VOC>" },
{ "V",	0, "<VOC GRV='Y' HEIGHT='OPEN' RND='N'>V</VOC>", "<VOC GRV='Y' HEIGHT='OPEN' RND='N'>V</VOC>" },
{ "Z",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='N' CNSCMP='Y'>Z</CNS>", "" },
{ "aI",	1, "<VOC GRV='Y' HEIGHT='OPEN' RND='N'>a</VOC>", "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>I</VOC>" },
{ "aU",	1, "<VOC GRV='Y' HEIGHT='OPEN' RND='N'>a</VOC>", "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>U</VOC>" },
{ "b",	0, "<CNS CNT='N' VOI='Y' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='Y' CNSCMP='N'>b</CNS>", "" },
{ "d",	0, "<CNS CNT='N' VOI='Y' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='N' CNSCMP='N'>d</CNS>", "" },
{ "dZ",	0, "<CNS CNT='N' VOI='Y' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='N' CNSCMP='Y'>dZ</CNS>", "" },
{ "e",	0, "<VOC GRV='N' HEIGHT='MID' RND='N'>e</VOC>", "<VOC GRV='N' HEIGHT='MID' RND='N'>e</VOC>" },
{ "e@",	1, "<VOC GRV='N' HEIGHT='MID' RND='N'>e</VOC>", "<VOC HEIGHT='MID' RND='N'>@</VOC>" },
{ "eI",	1, "<VOC GRV='N' HEIGHT='MID' RND='N'>e</VOC>", "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>I</VOC>" },
{ "f",	0, "<CNS CNT='Y' VOI='N' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='Y' CNSCMP='N'>f</CNS>", "" },
{ "g",	0, "<CNS CNT='N' VOI='Y' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='Y' CNSCMP='Y'>g</CNS>", "" },
{ "h",	0, "<CNS CNT='Y' VOI='N' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='Y' CNSCMP='Y'>h</CNS>", "" },
{ "i:",	1, "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>i</VOC>", "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>i</VOC>" },
{ "j",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='N' SON='Y' RHO='N' CNSGRV='N' CNSCMP='Y' VOCGRV='N' VOCHEIGHT='CLOSE' VOCRND='N'>j</CNS>", "" },
{ "j+u:",	3, "<VOC GRV='N' HEIGHT='CLOSE' RND='N'>j</VOC>", "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>u</VOC>" },
{ "k",	0, "<CNS CNT='N' VOI='N' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='Y' CNSCMP='Y'>k</CNS>", "" },
{ "l",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='N' SON='Y' RHO='N' CNSGRV='N' CNSCMP='N' VOCHEIGHT='CLOSE' VOCRND='N'>l</CNS>", "" },
{ "m",	0, "<CNS CNT='N' VOI='Y' NAS='Y' STR='N' SON='Y' RHO='N' CNSGRV='Y' CNSCMP='N'>m</CNS>", "" },
{ "n",	0, "<CNS CNT='N' VOI='Y' NAS='Y' STR='N' SON='Y' RHO='N' CNSGRV='N' CNSCMP='N'>n</CNS>", "" },
{ "p",	0, "<CNS CNT='N' VOI='N' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='Y' CNSCMP='N'>p</CNS>", "" },
{ "r",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='N' SON='Y' RHO='Y' CNSGRV='N' CNSCMP='N' VOCGRV='Y' VOCHEIGHT='MID' VOCRND='N'>r</CNS>", "" },
{ "s",	0, "<CNS CNT='Y' VOI='N' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='N' CNSCMP='N'>s</CNS>", "" },
{ "t",	0, "<CNS CNT='N' VOI='N' NAS='N' STR='N' SON='N' RHO='N' CNSGRV='N' CNSCMP='N'>t</CNS>", "" },
{ "tS",	0, "<CNS CNT='N' VOI='N' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='N' CNSCMP='Y'>tS</CNS>", "" },
{ "u:",	1, "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>u</VOC>", "<VOC GRV='Y' HEIGHT='CLOSE' RND='Y'>u</VOC>" },
{ "v",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='Y' CNSCMP='N'>v</CNS>", "" },
{ "w",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='N' SON='Y' RHO='N' CNSGRV='Y' VOCGRV='Y' VOCHEIGHT='CLOSE' VOCRND='Y'>w</CNS>", "" },
{ "z",	0, "<CNS CNT='Y' VOI='Y' NAS='N' STR='Y' SON='N' RHO='N' CNSGRV='N' CNSCMP='N'>z</CNS>", "" },
{ "{",	0, "<VOC GRV='N' HEIGHT='OPEN' RND='N'>{</VOC>", "<VOC GRV='N' HEIGHT='OPEN' RND='N'>{</VOC>" },
};

#define NUM_MBROLA_SEG (sizeof(mbrola_segtab)/sizeof(struct mbrola_segment_rec))
