# Makefile for ProXML language
#
# gcc + LTXML library
#
LTXML=	/pdata/mark/ltxml-1.1
CC=	gcc
CFLAGS=	-g -Wall -I$(LTXML)/include -I$(LTXML)/include/sys -DSVR4 -DFOR_LT -DCHAR_SIZE=8
#
LIBS=	-L$(LTXML)/lib -lltapi11 -lltstd11 -lsocket -lnsl -lm
YFLAGS	= -d
.SUFFIXES: .ok .o .c .h .y
#
OBJS	=  prx.o prxlex.o process.o builtin.o
YACC 	= bison
#
all:	../bin/prx
#
prx.c:	prx.y
	$(YACC) $(YFLAGS) prx.y
	cp prx.tab.c prx.c
	rm prx.tab.c
	cp prx.tab.h prxtab.h
	rm prx.tab.h
prx.o:	prx.c prxtab.h
	$(CC) $(CFLAGS) -c prx.c 2> prx.cer
.c.o:
	$(CC) $(CFLAGS) -c $< 2> $*.cer
#
../bin/prx : $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LIBS) -o prx
	cp prx ../bin/prx
#
prx.o: prx.h prx.y process.h
#
prxlex.o: prx.h prxlex.c prxtab.h process.h builtin.h
#
process.o: process.c process.h builtin.h
#
builtin.o: builtin.c builtin.h process.h
