/* uttfind - definitions of search term structures */

/* attribute match flags */
#define ATTR_MATCH_EQ	1		/* equal feature value */
#define ATTR_MATCH_NE	2		/* not equal value */

/* node match flags */
#define NODE_REPORT	1		/* report from this node */
#define NODE_RECURSE	2		/* recurse down from this point */

/* attribute match */
struct amatch_rec {
	char		*name;		/* name of attribute */
	const char	*id;		/* attribute ID */
	char		*val;		/* attribute value */
	int		matchop;	/* match operator */
	struct amatch_rec *next;	/* AND next match */
};

/* node match */
struct nmatch_rec {
	char		*name;		/* name of node */
	const char 	*id;		/* node ID */
	struct amatch_rec *afirst;	/* matching attributes */
	char		*tmatch;	/* text match */
	int		flags;		/* operational flags */
	struct nmatch_rec *first;	/* child nodes */
	struct nmatch_rec *next;	/* next sibling node */
};

/* search */
struct search_rec {
	struct nmatch_rec *first;
	struct search_rec *next;
};

